Bug 988935 - [Doc] [RFE] Keystone with Kerberos authentication
[Doc] [RFE] Keystone with Kerberos authentication
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Installation_and_Configuration_Guide (Show other bugs)
4.0
Unspecified Unspecified
high Severity high
: ---
: 4.0
Assigned To: Don Domingo
ecs-bugs
: Documentation, FutureFeature
Depends On:
Blocks: 987684 1011085
  Show dependency treegraph
 
Reported: 2013-07-26 13:58 EDT by Stephen Gordon
Modified: 2014-01-06 23:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-06 23:30:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2013-07-26 13:58:06 EDT
Cloned for documentation impact, refer to Bug # 987684 for implementation details.
Comment 3 Adam Young 2013-11-18 11:34:35 EST
You need to establish an Identity store that matches the Kerberos credential.  For example if you use FreeIPA/RHIdM  you would make the identity store use the LDAP backend and point directly at the associated LDAP/Directory server.   The user ID will be calucalted based on the REMOTE_USER field passed through from HTTPD, so mapping it to a field such as the User principal would be simplest.

Note You need to log in before you can comment on or make changes to this bug.